com.pivotal.gemfirexd.internal.client.net

## Interface StatementRequestInterface

All Known Implementing Classes:
  NetResultSetRequest, NetStatementRequest, NetXAConnectionRequest

    public interface StatementRequestInterface

### Method Summary

Methods
`void` `writeDescribeInput(NetPreparedStatement materialPreparedStatement, Section section)`
`void` `writeDescribeOutput(NetPreparedStatement materialPreparedStatement, Section section)`
`void` `writeExecute(NetPreparedStatement materialPreparedStatement, Section section, ColumnMetaData parameterMetaData, Object[] inputs, int numInputColumns, boolean outputExpected, boolean chainedWritesFollowingSetLob)`
`void` `writeExecute(NetPreparedStatement materialPreparedStatement, Section section, ColumnMetaData parameterMetaData, Object[] inputs, int numInputColumns, boolean outputExpected, boolean batchOutput, boolean chainedWritesFollowingSetLob)`
`void` `writeExecuteCall(NetStatement materialStatement, boolean outputExpected, String procedureName, Section section, int fetchSize, boolean suppressResultSets, int resultSetType, ColumnMetaData parameterMetaData, Object[] inputs)`
`void` `writeExecuteImmediate(NetStatement materialStatement, String sql, Section section)`
`void` `writeGetStmtUUID(Section section)`
`void` `writeOpenQuery(NetPreparedStatement materialPreparedStatement, Section section, int fetchSize, int resultSetType, int numInputColumns, ColumnMetaData parameterMetaData, Object[] inputs)`
`void` `writeOpenQuery(NetStatement materialStatement, Section section, int fetchSize, int resultSetType)`
`void` `writePrepare(NetStatement materialStatement, String sql, Section section)`
`void` `writePrepareDescribeOutput(NetStatement materialStatement, String sql, Section section, boolean needStatementUUID)`
`void` `writeSetSpecialRegister(Section section, ArrayList sqlsttList)`

### Method Detail

#### writeExecuteImmediate

    void writeExecuteImmediate(NetStatement materialStatement,
                             String sql,
                             Section section)
                               throws SqlException

Throws:
  `SqlException`

#### writePrepareDescribeOutput

    void writePrepareDescribeOutput(NetStatement materialStatement,
                                  String sql,
                                  Section section,
                                  boolean needStatementUUID)
                                    throws SqlException

Throws:
  `SqlException`

#### writeGetStmtUUID

    void writeGetStmtUUID(Section section)
                          throws SqlException

Throws:
  `SqlException`

#### writePrepare

    void writePrepare(NetStatement materialStatement,
                    String sql,
                    Section section)
                      throws SqlException

Throws:
  `SqlException`

#### writeOpenQuery

    void writeOpenQuery(NetStatement materialStatement,
                      Section section,
                      int fetchSize,
                      int resultSetType)
                        throws SqlException

Throws:
  `SqlException`

#### writeExecute

    void writeExecute(NetPreparedStatement materialPreparedStatement,
                    Section section,
                    ColumnMetaData parameterMetaData,
                    Object[] inputs,
                    int numInputColumns,
                    boolean outputExpected,
                    boolean chainedWritesFollowingSetLob)
                      throws SqlException

Throws:
  `SqlException`

#### writeExecute

    void writeExecute(NetPreparedStatement materialPreparedStatement,
                    Section section,
                    ColumnMetaData parameterMetaData,
                    Object[] inputs,
                    int numInputColumns,
                    boolean outputExpected,
                    boolean batchOutput,
                    boolean chainedWritesFollowingSetLob)
                      throws SqlException

Throws:
  `SqlException`

#### writeOpenQuery

    void writeOpenQuery(NetPreparedStatement materialPreparedStatement,
                      Section section,
                      int fetchSize,
                      int resultSetType,
                      int numInputColumns,
                      ColumnMetaData parameterMetaData,
                      Object[] inputs)
                        throws SqlException

Throws:
  `SqlException`

#### writeDescribeInput

    void writeDescribeInput(NetPreparedStatement materialPreparedStatement,
                          Section section)
                            throws SqlException

Throws:
  `SqlException`

#### writeDescribeOutput

    void writeDescribeOutput(NetPreparedStatement materialPreparedStatement,
                           Section section)
                             throws SqlException

Throws:
  `SqlException`

#### writeExecuteCall

    void writeExecuteCall(NetStatement materialStatement,
                        boolean outputExpected,
                        String procedureName,
                        Section section,
                        int fetchSize,
                        boolean suppressResultSets,
                        int resultSetType,
                        ColumnMetaData parameterMetaData,
                        Object[] inputs)
                          throws SqlException

Throws:
  `SqlException`

#### writeSetSpecialRegister

    void writeSetSpecialRegister(Section section,
                               ArrayList sqlsttList)
                                 throws SqlException

Throws:
  `SqlException`